Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1511853 - Cannot navigate to create tenant/project page
Summary: Cannot navigate to create tenant/project page
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: GA
: 5.10.0
Assignee: Zita Nemeckova
QA Contact: Anurag
URL:
Whiteboard:
Depends On:
Blocks: 1514169
TreeView+ depends on / blocked
 
Reported: 2017-11-10 10:02 UTC by Vatsal Parekh
Modified: 2018-06-21 21:17 UTC (History)
5 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1514169 (view as bug list)
Environment:
Last Closed: 2018-06-21 21:17:16 UTC
Category: ---
Cloudforms Team: ---


Attachments (Terms of Use)

Description Vatsal Parekh 2017-11-10 10:02:55 UTC
Description of problem:
Selecting 'Add child tenant to this tenant' from the root tenant(My Company' doesn't show up anything, just waits there and doesn't go to the add page.

Automation log:
[----] I, [2017-11-10T04:57:08.615481 #13292:14c26b4]  INFO -- :   Rendered /opt/rh/cfme-gemset/bundler/gems/manageiq-ui-classic-c03b8fb59910/app/views/layouts/_exception_contents.html.haml (0.1ms)
[----] I, [2017-11-10T04:57:08.615962 #13292:14c26b4]  INFO -- : Completed 200 OK in 21ms (Views: 1.0ms | ActiveRecord: 1.6ms)
[----] I, [2017-11-10T04:57:53.341566 #13301:1366dc4]  INFO -- : Started GET "/api" for 127.0.0.1 at 2017-11-10 04:57:53 -0500
[----] I, [2017-11-10T04:57:53.344882 #13301:1366dc4]  INFO -- : Processing by Api::ApiController#index as JSON
[----] I, [2017-11-10T04:57:53.371199 #13301:1366dc4]  INFO -- : Completed 200 OK in 26ms (Views: 0.1ms | ActiveRecord: 2.3ms)
[----] I, [2017-11-10T04:57:57.112049 #13301:1369290]  INFO -- : Started GET "/api" for 127.0.0.1 at 2017-11-10 04:57:57 -0500
[----] I, [2017-11-10T04:57:57.115369 #13301:1369290]  INFO -- : Processing by Api::ApiController#index as JSON
[----] I, [2017-11-10T04:57:57.137667 #13301:1369290]  INFO -- : Completed 200 OK in 22ms (Views: 0.1ms | ActiveRecord: 2.1ms)
[----] I, [2017-11-10T04:58:02.814476 #13301:13661e4]  INFO -- : Started GET "/api" for 127.0.0.1 at 2017-11-10 04:58:02 -0500
[----] I, [2017-11-10T04:58:02.817883 #13301:13661e4]  INFO -- : Processing by Api::ApiController#index as JSON
[----] I, [2017-11-10T04:58:02.841183 #13301:13661e4]  INFO -- : Completed 200 OK in 23ms (Views: 0.1ms | ActiveRecord: 1.9ms)
[----] I, [2017-11-10T04:58:22.193937 #13292:14c2f10]  INFO -- : Started POST "/ops/x_button/2?pressed=rbac_tenant_add" for 127.0.0.1 at 2017-11-10 04:58:22 -0500
[----] I, [2017-11-10T04:58:22.198373 #13292:14c2f10]  INFO -- : Processing by OpsController#x_button as JS
[----] I, [2017-11-10T04:58:22.198558 #13292:14c2f10]  INFO -- :   Parameters: {"tenant_type"=>"tenant", "pressed"=>"rbac_tenant_add", "id"=>"2"}
[----] F, [2017-11-10T04:58:22.223782 #13292:14c2f10] FATAL -- : Error caught: [NoMethodError] undefined method `>=' for nil:NilClass
/opt/rh/cfme-gemset/bundler/gems/manageiq-ui-classic-c03b8fb59910/app/helpers/application_helper/toolbar_builder.rb:325:in `button_class_name'
/opt/rh/cfme-gemset/bundler/gems/manageiq-ui-classic-c03b8fb59910/app/helpers/application_helper/toolbar_builder.rb:342:in `get_custom_buttons'
/opt/rh/cfme-gemset/bundler/gems/manageiq-ui-classic-c03b8fb59910/app/helpers/application_helper/toolbar_builder.rb:276:in `custom_button_selects'
/opt/rh/cfme-gemset/bundler/gems/manageiq-ui-classic-c03b8fb59910/app/helpers/application_helper/toolbar_builder.rb:306:in `build_custom_toolbar_class'
/opt/rh/cfme-gemset/bundler/gems/manageiq-ui-classic-c03b8fb59910/app/helpers/application_helper/toolbar_builder.rb:296:in `custom_toolbar_class'
/opt/rh/cfme-gemset/bundler/gems/manageiq-ui-classic-c03b8fb59910/app/helpers/application_helper/toolbar_builder.rb:70:in `toolbar_class'
/opt/rh/cfme-gemset/bundler/gems/manageiq-ui-classic-c03b8fb59910/app/helpers/application_helper/toolbar_builder.rb:18:in `build_toolbar'
/opt/rh/cfme-gemset/bundler/gems/manageiq-ui-classic-c03b8fb59910/app/helpers/application_helper/toolbar_builder.rb:6:in `call'
/opt/rh/cfme-gemset/bundler/gems/manageiq-ui-classic-c03b8fb59910/app/helpers/application_helper.rb:529:in `build_toolbar'
/opt/rh/cfme-gemset/bundler/gems/manageiq-ui-classic-c03b8fb59910/app/controllers/ops_controller.rb:771:in `choose_custom_toolbar'
/opt/rh/cfme-gemset/bundler/gems/manageiq-ui-classic-c03b8fb59910/app/controllers/ops_controller.rb:777:in `rebuild_toolbars'
/opt/rh/cfme-gemset/bundler/gems/manageiq-ui-classic-c03b8fb59910/app/controllers/ops_controller.rb:554:in `replace_right_cell'
/opt/rh/cfme-gemset/bundler/gems/manageiq-ui-classic-c03b8fb59910/app/controllers/ops_controller/ops_rbac.rb:163:in `rbac_tenant_edit_reset'
/opt/rh/cfme-gemset/bundler/gems/manageiq-ui-classic-c03b8fb59910/app/controllers/ops_controller/ops_rbac.rb:174:in `rbac_tenant_edit'
/opt/rh/cfme-gemset/bundler/gems/manageiq-ui-classic-c03b8fb59910/app/controllers/ops_controller/ops_rbac.rb:102:in `rbac_tenant_add'
/opt/rh/cfme-gemset/bundler/gems/manageiq-ui-classic-c03b8fb59910/app/controllers/application_controller/explorer.rb:200:in `generic_x_button'
/opt/rh/cfme-gemset/bundler/gems/manageiq-ui-classic-c03b8fb59910/app/controllers/ops_controller.rb:94:in `x_button'
/opt/rh/cfme-gemset/gems/actionpack-5.0.6/lib/action_controller/metal/basic_implicit_render.rb:4:in `send_action'
/opt/rh/cfme-gemset/gems/actionpack-5.0.6/lib/abstract_controller/base.rb:188:in `process_action'
/opt/rh/cfme-gemset/gems/actionpack-5.0.6/lib/action_controller/metal/rendering.rb:30:in `process_action'
/opt/rh/cfme-gemset/gems/actionpack-5.0.6/lib/abstract_controller/callbacks.rb:20:in `block in process_action'
/opt/rh/cfme-gemset/gems/activesupport-5.0.6/lib/active_support/callbacks.rb:126:in `call'
/opt/rh/cfme-gemset/gems/activesupport-5.0.6/lib/active_support/callbacks.rb:506:in `block (2 levels) in compile'
/opt/rh/cfme-gemset/gems/activesupport-5.0.6/lib/active_support/callbacks.rb:455:in `call'
/opt/rh/cfme-gemset/gems/activesupport-5.0.6/lib/active_support/callbacks.rb:101:in `__run_callbacks__'
/opt/rh/cfme-gemset/gems/activesupport-5.0.6/lib/active_support/callbacks.rb:750:in `_run_process_action_callbacks'
/opt/rh/cfme-gemset/gems/activesupport-5.0.6/lib/active_support/callbacks.rb:90:in `run_callbacks'
/opt/rh/cfme-gemset/gems/actionpack-5.0.6/lib/abstract_controller/callbacks.rb:19:in `process_action'
/opt/rh/cfme-gemset/gems/actionpack-5.0.6/lib/action_controller/metal/rescue.rb:20:in `process_action'
/opt/rh/cfme-gemset/gems/actionpack-5.0.6/lib/action_controller/metal/instrumentation.rb:32:in `block in process_action'
/opt/rh/cfme-gemset/gems/activesupport-5.0.6/lib/active_support/notifications.rb:164:in `block in instrument'
/opt/rh/cfme-gemset/gems/activesupport-5.0.6/lib/active_support/notifications/instrumenter.rb:21:in `instrument'
/opt/rh/cfme-gemset/gems/activesupport-5.0.6/lib/active_support/notifications.rb:164:in `instrument'
/opt/rh/cfme-gemset/gems/actionpack-5.0.6/lib/action_controller/metal/instrumentation.rb:30:in `process_action'
/opt/rh/cfme-gemset/gems/actionpack-5.0.6/lib/action_controller/metal/params_wrapper.rb:248:in `process_action'
/opt/rh/cfme-gemset/gems/activerecord-5.0.6/lib/active_record/railties/controller_runtime.rb:18:in `process_action'
/opt/rh/cfme-gemset/gems/actionpack-5.0.6/lib/abstract_controller/base.rb:126:in `process'
/opt/rh/cfme-gemset/gems/actionview-5.0.6/lib/action_view/rendering.rb:30:in `process'
/opt/rh/cfme-gemset/gems/actionpack-5.0.6/lib/action_controller/metal.rb:190:in `dispatch'
/opt/rh/cfme-gemset/gems/actionpack-5.0.6/lib/action_controller/metal.rb:262:in `dispatch'
/opt/rh/cfme-gemset/gems/actionpack-5.0.6/lib/action_dispatch/routing/route_set.rb:50:in `dispatch'
/opt/rh/cfme-gemset/gems/actionpack-5.0.6/lib/action_dispatch/routing/route_set.rb:32:in `serve'
/opt/rh/cfme-gemset/gems/actionpack-5.0.6/lib/action_dispatch/journey/router.rb:39:in `block in serve'
/opt/rh/cfme-gemset/gems/actionpack-5.0.6/lib/action_dispatch/journey/router.rb:26:in `each'
/opt/rh/cfme-gemset/gems/actionpack-5.0.6/lib/action_dispatch/journey/router.rb:26:in `serve'
/opt/rh/cfme-gemset/gems/actionpack-5.0.6/lib/action_dispatch/routing/route_set.rb:727:in `call'
/opt/rh/cfme-gemset/gems/secure_headers-3.0.3/lib/secure_headers/middleware.rb:10:in `call'
/opt/rh/cfme-gemset/gems/rack-2.0.3/lib/rack/etag.rb:25:in `call'
/opt/rh/cfme-gemset/gems/rack-2.0.3/lib/rack/conditional_get.rb:38:in `call'
/opt/rh/cfme-gemset/gems/rack-2.0.3/lib/rack/head.rb:12:in `call'
/opt/rh/cfme-gemset/gems/rack-2.0.3/lib/rack/session/abstract/id.rb:232:in `context'
/opt/rh/cfme-gemset/gems/rack-2.0.3/lib/rack/session/abstract/id.rb:226:in `call'
/opt/rh/cfme-gemset/gems/actionpack-5.0.6/lib/action_dispatch/middleware/cookies.rb:613:in `call'
/opt/rh/cfme-gemset/gems/actionpack-5.0.6/lib/action_dispatch/middleware/callbacks.rb:38:in `block in call'
/opt/rh/cfme-gemset/gems/activesupport-5.0.6/lib/active_support/callbacks.rb:97:in `__run_callbacks__'
/opt/rh/cfme-gemset/gems/activesupport-5.0.6/lib/active_support/callbacks.rb:750:in `_run_call_callbacks'
/opt/rh/cfme-gemset/gems/activesupport-5.0.6/lib/active_support/callbacks.rb:90:in `run_callbacks'
/opt/rh/cfme-gemset/gems/actionpack-5.0.6/lib/action_dispatch/middleware/callbacks.rb:36:in `call'
/opt/rh/cfme-gemset/gems/actionpack-5.0.6/lib/action_dispatch/middleware/remote_ip.rb:79:in `call'
/opt/rh/cfme-gemset/gems/actionpack-5.0.6/lib/action_dispatch/middleware/debug_exceptions.rb:49:in `call'
/opt/rh/cfme-gemset/gems/actionpack-5.0.6/lib/action_dispatch/middleware/show_exceptions.rb:31:in `call'
/opt/rh/cfme-gemset/gems/railties-5.0.6/lib/rails/rack/logger.rb:36:in `call_app'
/opt/rh/cfme-gemset/gems/railties-5.0.6/lib/rails/rack/logger.rb:26:in `call'
/opt/rh/cfme-gemset/gems/actionpack-5.0.6/lib/action_dispatch/middleware/request_id.rb:24:in `call'
/opt/rh/cfme-gemset/gems/rack-2.0.3/lib/rack/method_override.rb:22:in `call'
/opt/rh/cfme-gemset/gems/rack-2.0.3/lib/rack/runtime.rb:22:in `call'
/opt/rh/cfme-gemset/gems/activesupport-5.0.6/lib/active_support/cache/strategy/local_cache_middleware.rb:28:in `call'
/opt/rh/cfme-gemset/gems/actionpack-5.0.6/lib/action_dispatch/middleware/executor.rb:12:in `call'
/opt/rh/cfme-gemset/gems/rack-2.0.3/lib/rack/sendfile.rb:111:in `call'
/opt/rh/cfme-gemset/gems/railties-5.0.6/lib/rails/engine.rb:522:in `call'
/opt/rh/rh-ruby23/root/usr/share/gems/gems/puma-3.7.1/lib/puma/configuration.rb:232:in `call'
/opt/rh/rh-ruby23/root/usr/share/gems/gems/puma-3.7.1/lib/puma/server.rb:578:in `handle_request'
/opt/rh/rh-ruby23/root/usr/share/gems/gems/puma-3.7.1/lib/puma/server.rb:415:in `process_client'
/opt/rh/rh-ruby23/root/usr/share/gems/gems/puma-3.7.1/lib/puma/server.rb:275:in `block in run'
/opt/rh/rh-ruby23/root/usr/share/gems/gems/puma-3.7.1/lib/puma/thread_pool.rb:120:in `block in spawn_thread'
[----] I, [2017-11-10T04:58:22.224809 #13292:14c2f10]  INFO -- :   Rendered /opt/rh/cfme-gemset/bundler/gems/manageiq-ui-classic-c03b8fb59910/app/views/layouts/_exception_contents.html.haml (0.1ms)
[----] I, [2017-11-10T04:58:22.225255 #13292:14c2f10]  INFO -- : Completed 200 OK in 27ms (Views: 1.1ms | ActiveRecord: 1.9ms)
 

Version-Release number of selected component (if applicable):
Version 5.9.0.8.20171109215303_ed87902

How reproducible:
100%

Steps to Reproduce:
1.Go to configuration->access control
2.tenant->My company
3.Add a new tenant

Actual results:
Cannot navigate to the add page, and throws the above shown error in log

Expected results:
Should navigate to the add page

Additional info:

Comment 3 Martin Povolny 2017-11-11 08:39:30 UTC
This one is not GTL related, it goes after Zita.

This might be the fix:

https://github.com/ManageIQ/manageiq-ui-classic/pull/2679


Zita, please, check that.

Comment 4 Zita Nemeckova 2017-11-13 08:16:31 UTC
Yeah it's a bug introduced by me (and fixed).

Fixed by 

https://github.com/ManageIQ/manageiq-ui-classic/pull/2679


Note You need to log in before you can comment on or make changes to this bug.